Bug 229355 - devel/grv: Update to 0.2.0
Summary: devel/grv: Update to 0.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL: https://github.com/rgburke/grv/releas...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-26 23:09 UTC by Dmitri Goutnik
Modified: 2018-07-10 15:01 UTC (History)
1 user (show)

See Also:


Attachments
patch file (6.84 KB, patch)
2018-06-26 23:09 UTC, Dmitri Goutnik
dg: maintainer-approval+
Details | Diff
patch file (8.96 KB, patch)
2018-06-26 23:13 UTC, Dmitri Goutnik
dg: maintainer-approval+
Details | Diff
patch file (8.96 KB, patch)
2018-07-05 20:56 UTC, Dmitri Goutnik
dg: maintainer-approval+
Details | Diff
patch file (8.30 KB, patch)
2018-07-05 21:00 UTC, Dmitri Goutnik
dg: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik 2018-06-26 23:09:17 UTC
Created attachment 194662 [details]
patch file

* Update to 0.2.0

Changes: https://github.com/rgburke/grv/releases/tag/v0.2.0

QA:
  poudriere testport: OK (11a, 10i)
Comment 1 Dmitri Goutnik 2018-06-26 23:13:26 UTC
Created attachment 194663 [details]
patch file
Comment 2 Torsten Zuehlsdorff freebsd_committer 2018-06-28 14:39:48 UTC
It does not build on 10.4 i386 with the following error:

# gopkg.in/libgit2/git2go.v27
src/gopkg.in/libgit2/git2go.v27/diff.go:441: constant 2147483648 overflows DiffOptionsFlag
*** Error code 2

Same for 11.1 i386
Comment 3 Dmitri Goutnik 2018-07-05 20:56:43 UTC
Created attachment 194904 [details]
patch file

Fix build on i386 archs.
Comment 4 Dmitri Goutnik 2018-07-05 21:00:59 UTC
Created attachment 194905 [details]
patch file
Comment 5 commit-hook freebsd_committer 2018-07-10 15:00:45 UTC
A commit references this bug:

Author: tz
Date: Tue Jul 10 15:00:04 UTC 2018
New revision: 474373
URL: https://svnweb.freebsd.org/changeset/ports/474373

Log:
  devel/grv: Update from 0.1.3 to 0.2.0

  Changelog: https://github.com/rgburke/grv/releases/tag/v0.2.0

  PR:		229355
  Submitted by:	Dmitri Goutnik <dg@syrec.org> (maintainer)

Changes:
  head/devel/grv/Makefile
  head/devel/grv/distinfo
  head/devel/grv/files/patch-cmd_grv_repo__data__loader.go
  head/devel/grv/files/patch-src_gopkg.in_libgit2_git2go.v27_diff.go
Comment 6 Torsten Zuehlsdorff freebsd_committer 2018-07-10 15:01:48 UTC
Committed, thanks! :)